Subject: [wishlist] git branch -d -r remotename

From: Sam Vilain <[email-masked]>
Date: Sun, 18 Mar 2007 21:36:04 +1200

I'm finding myself wanting to delete all local branch heads that are
already present on a remote.

You wouldn't want it to be too eager about it, and certainly you
wouldn't want to use it against any server that isn't considered
completely "upstream" of the repository you're doing it on, otherwise if
both ends run it and then "git remote prune" the refs will go away.

I think either "git remote prune" or "git branch -d" would be a good
place for that.

Thoughts?

Sam.